
QGIS Application - Bug report #17523

Raster calculator cannot handle huge raster files 

2017-11-22 06:43 PM - Nicolas Cadieux

Status: Closed

Priority: High

Assignee:

Category: Raster Calculator

Affected QGIS version:master Regression?: No

Operating System: Windows 10_64 Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 25420

Description

Hi,

QGis 2.99 crashes when trying to use the raster calculator ("Dem Sol 151013@1" * 2) with very large rasters (84GB).  System memory is

64GB with 64GB of virtual memory.  Calculator works when the file is smaller.  Same result if I use the QGIS raster calculator in

processing. I reported this issues a while ago on earlier version of Qgis (Bug report #13336) but was hoping for a fixed in version 3 as this

is a game changer for anyone using Lidar files.  Hope this helps!

Keep up the good work!

Nicolas Cadieux

User Feedback

h2. Report Details

Crash ID: bec0fb0ea046ec2cc4d8f538117c672a069364b0

Stack Trace

memmove :

GDALRasterBand::IRasterIO :

GDALRegister_GTiff :

GDALRasterBand::RasterIO :

OGRCoordinateTransformation::~OGRCoordinateTransformation :

OGRCoordinateTransformation::~OGRCoordinateTransformation :

OGRCoordinateTransformation::~OGRCoordinateTransformation :

QgsRasterCalculator::processCalculation :

QgsDecorationCopyright::qt_metacast :

QgsDecorationCopyright::qt_metacast :

QgsDecorationCopyright::qt_metacast :

QgsDecorationCopyright::qt_metacast :

QMetaObject::activate :

QAction::activate :

QMenu::actionGeometry :

QMenu::actionGeometry :

QMenu::mouseReleaseEvent :

QWidget::event :

QMenu::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsComposerModel::data :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsComposerModel::data :

QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

CallWindowProcW :

DispatchMessageW :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

QgsDecorationCopyright::qt_metacast :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 2.99.0-Master

QGIS code revision: commit:95cf299099

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.2

Running against GDAL: 2.2.2

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 10.0.16299

Related issues:

Related to QGIS Application - Bug report # 13336: Allow raster calculator wit... Closed 2015-09-09

History

#1 - 2017-11-23 02:06 PM - Alessandro Pasotti

- Assignee set to Alessandro Pasotti

looking ...

#2 - 2017-11-24 09:52 AM - Alessandro Pasotti

- Related to Bug report #13336: Allow raster calculator with huge raster inputs added

#3 - 2017-11-24 10:09 AM - Alessandro Pasotti

- Assignee deleted (Alessandro Pasotti)

too slow for my machine sorry, I cannot wait 20 minutes to load the raster and another 20 if I scroll the mouse wheel ...

#4 - 2017-11-24 04:43 PM - Giovanni Manghi

- Status changed from Open to Feedback

I'm running your script to create the raster to test this issue... the asc file is at 105GB and has not yet finished... how big it is?

#5 - 2017-11-26 08:40 AM - Alexander Bruy

- Status changed from Feedback to Closed

- Resolution set to duplicate
Duplicates #13336

#6 - 2017-11-27 05:07 PM - Nicolas Cadieux

Giovanni Manghi wrote:

I'm running your script to create the raster to test this issue... the asc file is at 105GB and has not yet finished... how big it is?

r: Nicolas

"Did it work for you?  I responded via email but I cannot see the answer here."

#7 - 2017-11-27 11:21 PM - Giovanni Manghi

Nicolas Cadieux wrote:

Giovanni Manghi wrote:

I'm running your script to create the raster to test this issue... the asc file is at 105GB and has not yet finished... how big it is?

r: Nicolas

"Did it work for you?  I responded via email but I cannot see the answer here."

I was able to create the asc, transform to tif and create overviews, didn«t had the time to test the calculator yet.

#8 - 2018-05-04 07:20 PM - Nicolas Cadieux

- Status changed from Closed to Reopened

Hi,

I see the problem is still present in Qgis3...  Any plans on fixing this issue?

Nicolas

#9 - 2018-05-16 06:12 PM - Alexander Bruy

- Status changed from Reopened to Closed

Please don't open duplicate tickets.

Files

simulateRaster.7z 648 Bytes 2017-11-22 Nicolas Cadieux

2024-03-13 3/3


